#
# spec file for package yesod-bin
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yesod-bin
Version:        1.5.2.3
Release:        lp150.1.19
Summary:        The yesod helper executable
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-file-embed-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-fsnotify-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-client-tls-devel
BuildRequires:  ghc-http-reverse-proxy-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-project-template-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-exceptions-devel
BuildRequires:  ghc-say-devel
BuildRequires:  ghc-shakespeare-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-streaming-commons-devel
BuildRequires:  ghc-tar-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-typed-process-devel
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-wai-extra-devel
BuildRequires:  ghc-warp-devel
BuildRequires:  ghc-warp-tls-devel
BuildRequires:  ghc-yaml-devel
BuildRequires:  ghc-zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The yesod helper executable.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%defattr(-,root,root,-)
%doc LICENSE
%doc ChangeLog.md README.md
%{_bindir}/yesod

%changelog
* Thu May 18 2017 psimons@suse.com
- Update to version 1.5.2.3 with cabal2obs.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 1.5.2.2 with cabal2obs.
* Tue Mar 14 2017 psimons@suse.com
- Update to version 1.5.2.1 with cabal2obs.
* Tue Mar  7 2017 psimons@suse.com
- Update to version 1.5.2 with cabal2obs.
* Sun Feb  5 2017 psimons@suse.com
- Update to version 1.5.1 with cabal2obs.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 1.4.18.7 with cabal2obs.
* Sat Oct  1 2016 psimons@suse.com
- Update to version 1.4.18.5 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.4.18.3 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.18.2 revision 0 with cabal2obs.
